1

I am trying to play with PythonTeX package. Installation went smoothly on this machine running old TeXLive 2011. However when I try to pdflatex or lualatex example provided with installation (pythontex_gallery.tex) I get the following error.

! Undefined control sequence.
<argument> \DeclareFloatingEnvironment 
                                       [fileext=lopytx]{listing}
l.46 \begin{document}

Can anybody familiar with PythonTeX shed a light on what is going on. By the way I added newfloat.sty downloaded from the Internet manually in the working directory.

4
  • Is this the newfloat you downloaded? There are some other files called newfloat.sty out there, but the one on CTAN is the one you want.
    – G. Poore
    May 17 '13 at 3:49
  • Installing a new package on such an old TeX distribution is almost surely bound to problems, if the new package depends on others that may have been updated in the meantime (and in two years many packages have).
    – egreg
    May 17 '13 at 8:19
  • @G. Poore No I didn't download from that server. Actually search turns no results for newfloat.sty file. May 17 '13 at 16:03
  • @egreg I know it was a long shut. I am overdue to update several of my OpenBSD installations and packages. I am just waiting for some changes in the current tree to propagate. May 17 '13 at 16:04
0

I just want to report that pythontex works as expected with TeXLive 2012!

Edit: I just played with it for an hour. It is really, really cool peace of software!!!

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.